import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.net.Socket;

public class ComunacacionJugador extends Thread{
	Socket socket;
	public ComunacacionJugador(Socket socket) {
		this.socket = socket;
		this.start();
	}
	
	public void run() {
		boolean continuar = true;
		int turno = 2;
		try {
			BufferedReader bufferEntrada = new BufferedReader(new InputStreamReader(this.socket.getInputStream()));
			PrintWriter bufferSalida = new PrintWriter(new OutputStreamWriter(this.socket.getOutputStream()),true);
			bufferSalida.println(Servidor.mostrarSalas()+"fin");
			int sala = Integer.getInteger(bufferEntrada.readLine());
			Servidor.addJugador(sala, this.socket);
			if(Servidor.salas.get(sala).getJugador1().equals(this.socket)) {
				turno = 1;
				bufferSalida.println("Primero");
				Servidor.salas.get(sala).tablero.colocarFicha(Integer.parseInt(bufferEntrada.readLine()), 
						Integer.parseInt(bufferEntrada.readLine()),turno);
				synchronized (getClass()) {
					this.getClass().wait();
				}
			}
			while(continuar) {
				Servidor.salas.get(sala).tablero.colocarFicha(Integer.parseInt(bufferEntrada.readLine()), 
						Integer.parseInt(bufferEntrada.readLine()),turno);
				synchronized (getClass()) {
					this.getClass().wait();
				}
			}
		}catch (Exception e) {
			// TODO: handle exception
		}
	}
}
